Subject: Re: bug#77046: 31.0.50; Emacs sometimes crashes

From: Eli Zaretskii <[email-masked]>
Date: Sat, 22 Mar 2025 21:34:34 +0200

> From: Markus Triska <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sat, 22 Mar 2025 19:08:48 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > your source tree is out of sync with the master branch, or some other
> > factor is at work here.  Or maybe this backtrace is from Emacs before
> > my fix?
> 
> In the example I posted, the crash still occurs also with a freshly
> compiled Emacs from today's master branch which includes your fix.
> 
> >
> > What does the below produce in GDB?
> >
> >   (gdb) frame 1
> >   (gdb) print f->after_make_frame
> 
> I get:
> 
>     Program received signal SIGSEGV, Segmentation fault.
>                                                         0x000055555559de87 in first_enabled_row (matrix=0x0) at dispnew.c:3499
>     3499      for (int i = 0; i < matrix->nrows; ++i)
>     (gdb) frame 1
>     #1  0x000055555559deb9 in make_matrix_current (f=0x555555b9b520)
>         at dispnew.c:3511
>     3511      int first_row = first_enabled_row (f->desired_matrix);
>     (gdb) print f->after_make_frame
>     $1 = false

Thanks.  I don't understand how's that possible, but I installed a
couple of trivial band-aids.